Subject: Re: What's in git.git (Oct 2008, #03; Tue, 14)

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 15 Oct 2008 13:20:32 -0700

Junio C Hamano <[email-masked]> wrote:
> Brandon Casey <[email-masked]> writes:
> 
> > Two questions:
> >
> >   1) Should a5a5a048 be in maint?
> >      "xdiff-interface.c: strip newline (and cr) from line before pattern matching"
> 
> I would have forked a maint-fix topic to prepare a merge of this fix to
> both 'maint' and 'master' but apparently this was applied directly on
> 'master'.  I may be missing a valid reason why Shawn did it this way.

My fault.  I didn't have a reason for putting it on master.
My reason really boiled down to "I can't decide where this goes,
oops, got distracted by something, git checkout master, git am,
move on...".

Yes, it probably should have gone to maint.  No, it didn't go there.
Temporary lapse in maintainer judgement.
 
> If we can add a test case to demonstrate the existing breakage, I think we
> can (and should) cherry-pick it to 'maint'.

Probably.  Sorry for the cherry-pick being required here.

-- 
Shawn.